---
author: "UEFF"
title: "Mokk Rockrage"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Mokk Rockrage |
| Date of birth | 15.8.1 LC |
| City of birth | [Naggar](/cities/naggar) |
| Nationality | ![Urotha](/images/flags/urotha_small_md.png) [Urotha](/nations/urotha) |
| Race | [Orc](/races/orc) |
| Position | Coach |
| Current club | [FC Naggar](/teams/fcnaggar) |

## Club career

| Club | Season | League position |
|-|-|-|
| [FC Naggar](/teams/fcnaggar) | 20 | | |

## Honours

